com.google.gwt.i18n.client

## Class DefaultLocalizedNames

- java.lang.Object
- - com.google.gwt.i18n.client.DefaultLocalizedNamesBase
  - - com.google.gwt.i18n.client.DefaultLocalizedNames

All Implemented Interfaces:
  LocalizedNames

    public class DefaultLocalizedNames
    extends DefaultLocalizedNamesBase

Default LocalizedNames implementation.

### Field Summary

### Fields inherited from class com.google.gwt.i18n.client.DefaultLocalizedNamesBase

`likelyRegionCodes, namesMap, sortedRegionCodes`

### Constructor Summary

Constructors
Constructor and Description
`DefaultLocalizedNames()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `loadNameMap()` Initializes {`DefaultLocalizedNamesBase.namesMap` to a map of region code (including non-country codes) to localized names.
`java.lang.String[]` `loadSortedRegionCodes()` Returns an array of currently valid country codes ordered by the collating order of the locale.

### Methods inherited from class com.google.gwt.i18n.client.DefaultLocalizedNamesBase

`getLikelyRegionCodes, getRegionName, getRegionNameImpl, getSortedRegionCodes, loadLikelyRegionCodes, needsNameMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLocalizedNames

    public DefaultLocalizedNames()

### Method Detail

#### loadNameMap

    protected void loadNameMap()

Description copied from class: `DefaultLocalizedNamesBase`
Initializes {`DefaultLocalizedNamesBase.namesMap` to a map of region code (including non-country codes) to localized names. Subclasses should generally call the parent implementation and then change specific entries, though if most entries are being changed they can just create their own map.

Overrides:
  `loadNameMap` in class `DefaultLocalizedNamesBase`

#### loadSortedRegionCodes

    public java.lang.String[] loadSortedRegionCodes()

Description copied from class: `DefaultLocalizedNamesBase`
Returns an array of currently valid country codes ordered by the collating order of the locale.

Specified by:
  `loadSortedRegionCodes` in class `DefaultLocalizedNamesBase`
Returns:
  an array of ordered country codes